<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_vector2_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">flair::core::Vector2D&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3">GetNorm</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03">Normalize</a>(void)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator+=</b>(const Vector2D&lt; T &gt; &amp;vector) (defined in <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator-=</b>(const Vector2D&lt; T &gt; &amp;vector) (defined in <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const Vector2D&lt; S &gt; &amp;vector) (defined in <a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af">Rotate</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751">RotateDeg</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">Saturate</a>(Vector2D&lt; T &gt; min, Vector2D&lt; T &gt; max)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#ae273561ec3dda8b2976aa8c26a3c3d6f">Saturate</a>(float min, float max)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19">Saturate</a>(const Vector2D&lt; T &gt; &amp;value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#ab5685f2986c3f1b6f0c7caa596120ee1">Saturate</a>(float value)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e">Vector2D</a>(T x=0, T y=0)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">x</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">y</a></td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df">~Vector2D</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D&lt; T &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
